Topic
5 replies Latest Post - ‏2012-11-26T14:21:43Z by sutter
logzyy
logzyy
6 Posts
ACCEPTED ANSWER

Pinned topic Issues while installing Feature Pack for OSGI AND JPA 2.0

‏2011-10-04T11:47:57Z |
Hi all,

I have installed Websphere Application server 7.0 and i have upgraded to 7.0.0.19 using update installer.
I also have installed windows installer manager 1.4 and have been able to import WAS 7 successfully.
My problem is after downloading the latest feature pack for OSGI and JPA2.0 and adding the location to my preference
i get the error below

No updates or fixes were found for the packages that are installed in the selected locations
c:\was70repositories\ariesjpa_and_import_repositories\local-repositories\
i also tried this
C:\was70repositories\ariesjpa_and_import_repositories\local-repositories\ariesjpa\repository.config but still have the same
issue.

Can anyone please help on this?
Thanks
Updated on 2012-11-26T14:21:43Z at 2012-11-26T14:21:43Z by sutter
  • SystemAdmin
    SystemAdmin
    45 Posts
    ACCEPTED ANSWER

    Re: Issues while installing Feature Pack for OSGI AND JPA 2.0

    ‏2011-10-06T11:53:37Z  in response to logzyy
    Hi logzyy,

    I attempted to reproduce your problem and I couldn't so I want to make sure I understand exactly how you are
    encountering this problem. Here is what I'm doing.

    1) Installing WebSphere Network Deployment 7.0.0.0 on Windows
    2) Installed 7.0.0.19 Application Server and SDK fixpacks.
    3) Downloaded OSGI and JPA 2.0 Feature Pack from Passport Advantage.
    4) Downloaded the latest 7.0.0.0 Import Repository from here: ftp://public.dhe.ibm.com/software/websphere/downloads/was/import/was.7.0.import.zip
    5) Unzipped the was7.0.import.zip file.
    6) Configured the IM repository to point to the was7.0.import unziped directory. In my example D:\Users\Downloads\WebSphere70\70019sync\repository.config
    7) From the IM main menu, clicked on Import and selected my WAS ND installation and the import was successful.
    8) Next, configured the IM repository to include the JPA 2.0 and OSGI Feature pack. In my example
    D:\Users\Downloads\WebSphere70\JPAPassport\local-repositories\ariesjpa\repository.config
    9) From the IM main menu, clicked on Install and I was able to select the feature pack.

    Can you reply back with exactly what you are doing along with this information:
    1) IM version that is being used. Start the IM GUI and go to Help -> About IBM Installation Manager.
    2) WebSphere edition that you are using. Run versionInfo.bat|sh from the <WebSphere Install Root>\bin directory.
    3) When you say latest feature pack for OSGI and JPA 2.0 what does this mean. Is this the 1.0.0.0 code base or a feature pack fixed pack?

    Let me know if your steps are different and if yes, how?

    Thanks,
    Al Weiner
    • isa30
      isa30
      1 Post
      ACCEPTED ANSWER

      Re: Issues while installing Feature Pack for OSGI AND JPA 2.0

      ‏2012-03-19T06:44:55Z  in response to SystemAdmin
      I have the same problem
      using
      1) IM version that is being used: -> 1.5.2
      2) WebSphere edition that you are using. -> IBM WebSphere Application Server - ND 7.0.0.21
      3) When you say latest feature pack for OSGI and JPA 2.0 what does this mean. Is this the 1.0.0.0 code base or a feature pack fixed pack? --> The code base: http://public.dhe.ibm.com/software/websphere/repositories/ariesjpa/repository.config

      I keep getting a message saying the Installation Manager cannot find any package to install.
    • SystemAdmin
      SystemAdmin
      45 Posts
      ACCEPTED ANSWER

      Re: Issues while installing Feature Pack for OSGI AND JPA 2.0

      ‏2012-10-20T19:41:11Z  in response to SystemAdmin
      Thanks Al Weiner- your steps worked for me
  • aandrzej
    aandrzej
    2 Posts
    ACCEPTED ANSWER

    Re: Issues while installing Feature Pack for OSGI AND JPA 2.0

    ‏2012-11-21T16:43:36Z  in response to logzyy
    It looks like there was no answer to the initial problem. I have similar problem and I will try asking for help here nevertheless.

    1) Installed WAS ND 7 and updated it to WAS 7.0.0.19
    2) Installed Portal 7.0.0.2
    3) Installed IM 1.6
    4) Imported WAS package to IM using was.7.0.import repository
    5) Installed eXtreme Scale 8.5.0.2 client and augmented portal profile

    Now I want to install JPA 2.0 feature pack. I did the following:

    1) Imported and expanded ariesjpa.1.0.0.5.fp feature pack repository (http://www-01.ibm.com/support/docview.wss?uid=swg24030871)
    2) Added repository to IM

    After I select Install option in IM I do not have any feature packs listed. I tried with other feature packs - SCA, XML etc.

    All of this on WIndows Server 2008 64bit. One other note: in Repositories IM screen the search service repositories checkbox is checked but is disabled. I am not sure if that matters.

    I would appreciate help in solving that problem.
    • sutter
      sutter
      93 Posts
      ACCEPTED ANSWER

      Re: Issues while installing Feature Pack for OSGI AND JPA 2.0

      ‏2012-11-26T14:21:43Z  in response to aandrzej
      Hi aandrzei,
      Al Weiner's post attempted to explain the steps that worked for him. A few people have responded that those installation steps also worked for their scenarios. If you are still experiencing issues with populating and accessing an IM repository for the OSGi/JPA Feature Pack, then I would suggest opening a PMR and following up with proper support channels. Thank you.

      Kevin Sutter, JPA Architect, IBM WebSphere